Bug 244489 - graphics/py-openimageio: Fix build
Summary: graphics/py-openimageio: Fix build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords: needs-qa
Depends on:
Blocks: 244516
  Show dependency treegraph
 
Reported: 2020-02-28 03:14 UTC by Shane
Modified: 2020-03-08 15:10 UTC (History)
2 users (show)

See Also:
FreeBSD: maintainer-feedback+
tcberner: merge-quarterly-


Attachments
maintainer update for graphics/openimageio (732 bytes, patch)
2020-02-28 03:14 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2020-02-28 03:14:25 UTC
Created attachment 212013 [details]
maintainer update for graphics/openimageio

Remove old cmake variable no longer used
Fix pybind variable name change in graphics/openimageio
Only affects the slave port py-openimageio
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-28 03:27:38 UTC
@Shane 

- What is the build issue being fixed?
- Is quarterly affected?
- What slave port (category/portname) is affected?
Comment 2 Shane 2020-02-29 06:06:37 UTC
Building the slave port graphics/py-openimageio fails due to not finding the devel/py-pybind11 files. I missed the cmake variable name change and must have skipped building the py port before I submitted.

The 2.1.11.2 update was committed 24/2 so if quarterly was forked before that it will have 2.0.10 and not be affected.

This is not a security fix or code change, just a failed build due to use of wrong makefile variable name.
Comment 3 Tobias C. Berner freebsd_committer 2020-03-08 15:10:45 UTC
Committed. Thanks.
Comment 4 commit-hook freebsd_committer 2020-03-08 15:10:55 UTC
A commit references this bug:

Author: tcberner
Date: Sun Mar  8 15:10:35 UTC 2020
New revision: 528040
URL: https://svnweb.freebsd.org/changeset/ports/528040

Log:
  graphics/py-openimageio: Fix build

  PR:		244489
  Submitted by:	Shane <FreeBSD@ShaneWare.Biz>  (maintainer)

Changes:
  head/graphics/openimageio/Makefile